| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxGridRowHeaderRendererDefault Class Reference

`#include <wx/grid.h>`

Inheritance diagram for wxGridRowHeaderRendererDefault:
[legend]

## Detailed Description

Default row header renderer.

You may derive from this class if you need to only override one of its methods (i.e. either DrawLabel() or DrawBorder()) but continue to use the default implementation for the other one.

See also
  wxGridColumnHeaderRendererDefault

Since
  2.9.1

## Public Member Functions

virtual void | DrawBorder (const wxGrid &grid, wxDC &dc, wxRect &rect) const
| Implement border drawing for the row labels. More...
Public Member Functions inherited from wxGridHeaderLabelsRenderer
virtual void | DrawLabel (const wxGrid &grid, wxDC &dc, const wxString &value, const wxRect &rect, int horizAlign, int vertAlign, int textOrientation) const
| Called by the grid to draw the specified label. More...

## Member Function Documentation

virtual void wxGridRowHeaderRendererDefault::DrawBorder | ( | const wxGrid & | grid,
|  | wxDC & | dc,
|  | wxRect & | rect
| ) |  | const

virtual

Implement border drawing for the row labels.

Implements wxGridCornerHeaderRenderer.